aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/puppet-update
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-06-23 16:01:22 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-06-23 16:01:22 -0300
commit95ee30a40f2285e64042e96c3c1e85df2e34dead (patch)
tree01354c7442e413a2a71e16f7a22697921ff3e3c2 /share/hydractl/puppet-update
parentf7b068221781118d7586a34ddfb10e085128d6bf (diff)
downloadhydra-95ee30a40f2285e64042e96c3c1e85df2e34dead.tar.gz
hydra-95ee30a40f2285e64042e96c3c1e85df2e34dead.tar.bz2
Oops
Diffstat (limited to 'share/hydractl/puppet-update')
-rwxr-xr-xshare/hydractl/puppet-update25
1 files changed, 25 insertions, 0 deletions
diff --git a/share/hydractl/puppet-update b/share/hydractl/puppet-update
index e69de29..378ae3f 100755
--- a/share/hydractl/puppet-update
+++ b/share/hydractl/puppet-update
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Update puppet repository.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+if [ -x '/usr/local/sbin/update-puppet-conf.sh' ]; then
+ /usr/local/sbin/update-puppet-conf.sh
+ chown -R puppet.puppet /etc/puppet
+else
+ echo "Could not find /usr/local/sbin/update-puppet-conf.sh"
+ exit 1
+fi